## ros-foxy-rmw-fastrtps-cpp 1.3.2

=== CMakeLists.txt ===
# Copyright 2016-2018 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_fastrtps_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(SECURITY)
  find_package(OpenSSL REQUIRED)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw_dds_common REQUIRED)
find_package(rmw_fastrtps_shared_cpp REQUIRED)

find_package(fastrtps_cmake_module REQUIRED)
find_package(fastcdr REQUIRED CONFIG)
find_package(fastrtps REQUIRED CONFIG)
find_package(FastRTPS REQUIRED MODULE)

find_package(rmw REQUIRED)
find_package(rosidl_runtime_c REQUIRED)
find_package(rosidl_typesupport_fastrtps_c REQUIRED)
find_package(rosidl_typesupport_fastrtps_cpp REQUIRED)

include_directories(include)

add_library(rmw_fastrtps_cpp
  src/get_client.cpp
  src/get_participant.cpp
  src/get_publisher.cpp
  src/get_service.cpp
  src/get_subscriber.cpp
  src/identifier.cpp
  src/init_rmw_context_impl.cpp
  src/publisher.cpp
  src/rmw_logging.cpp
  src/rmw_client.cpp
  src/rmw_compare_gids_equal.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_get_gid_for_publisher.cpp
  src/rmw_get_implementation_identifier.cpp
  src/rmw_get_serialization_format.cpp
  src/rmw_get_topic_endpoint_info.cpp
  src/rmw_guard_condition.cpp
  src/rmw_init.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_node_names.cpp
  src/rmw_publish.cpp
  src/rmw_publisher.cpp
  src/rmw_request.cpp
  src/rmw_response.cpp
  src/rmw_serialize.cpp
  src/rmw_service.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_service_server_is_available.cpp
  src/rmw_subscription.cpp
  src/rmw_take.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_trigger_guard_condition.cpp
  src/rmw_wait.cpp
  src/rmw_wait_set.cpp
  src/serialization_format.cpp
  src/subscription.cpp
  src/type_support_common.cpp
)
target_link_libraries(rmw_fastrtps_cpp
  fastcdr fastrtps)

# specific order: dependents before dependencies
ament_target_dependencies(rmw_fastrtps_cpp
  "rcpputils"
  "rcutils"
  "rosidl_typesupport_fastrtps_c"
  "rosidl_typesupport_fastrtps_cpp"
  "rmw_dds_common"
  "rmw_fastrtps_shared_cpp"
  "rmw"
  "rosidl_runtime_c"
)

target_link_libraries(rmw_fastrtps_cpp
  ${rmw_dds_common_LIBRARIES__rosidl_typesupport_fastrtps_cpp}
)

configure_rmw_library(rmw_fastrtps_cpp)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
PRIVATE "RMW_FASTRTPS_CPP_BUILDING_LIBRARY")

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(rmw_fastrtps_cpp)

ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)
ament_export_dependencies(rmw_dds_common)
ament_export_dependencies(rmw_fastrtps_shared_cpp)
ament_export_dependencies(rosidl_runtime_c)
ament_export_dependencies(rosidl_typesupport_fastrtps_c)
ament_export_dependencies(rosidl_typesupport_fastrtps_cpp)

register_rmw_implementation(
  "c:rosidl_typesupport_c:rosidl_typesupport_fastrtps_c"
  "cpp:rosidl_typesupport_cpp:rosidl_typesupport_fastrtps_cpp")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  find_package(test_msgs REQUIRED)

  ament_add_gtest(test_get_native_entities
    test/test_get_native_entities.cpp)
  ament_target_dependencies(test_get_native_entities
    osrf_testing_tools_cpp rcutils rmw test_msgs
  )
  target_link_libraries(test_get_native_entities rmw_fastrtps_cpp)

  ament_add_gtest(test_logging test/test_logging.cpp)
  ament_target_dependencies(test_logging rmw)
  target_link_libraries(test_logging rmw_fastrtps_cpp)
endif()

ament_package(
  CONFIG_EXTRAS_POST "rmw_fastrtps_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_fastrtps_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-foxy-rmw-fastrtps-cpp (1.3.2-1focal) focal; urgency=high

  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>) (#652 <https://github.com/ros2/rmw_fastrtps/issues/652>)
  * Contributors: Oscarchoi

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.3.1-1focal) focal; urgency=high

  * Handle exception on deserializing ROS message (#603 <https://github.com/ros2/rmw_fastrtps/issues/603>)
  * Contributors: Erki Suurjaak, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jul 2022 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.3.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.6-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 31 Aug 2021 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.5-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#521 <https://github.com/eProsima/rmw_fastrtps/issues/521>)
  * Contributors: Simon Honigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.4-1focal) focal; urgency=high

  * Discriminate when the Client has gone from when the Client has not completely matched (#479 <https://github.com/ros2/rmw_fastrtps/issues/479>)
  * Contributors: Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.3-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#474 <https://github.com/ros2/rmw_fastrtps/issues/474>)
  * Updated QD
  * Provide external dependencies QD links
  * Update Quality Declarations to QL3 (#404 <https://github.com/ros2/rmw_fastrtps/issues/404>)(#403 <https://github.com/ros2/rmw_fastrtps/issues/403>)
  * Contributors: Alejandro Hernández Cordero, JLBuenoLopez-eProsima, Michael Jeronimo, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Nov 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.2-1focal) focal; urgency=high

  * Fixed test
  * Set context actual domain id (#410 <https://github.com/ros2/rmw_fastrtps/issues/410>)
  * Fixed rmw_create_node
  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#452 <https://github.com/ros2/rmw_fastrtps/issues/452>)
  * Updated rmw_* return codes (#443 <https://github.com/ros2/rmw_fastrtps/issues/443>)
  * Make service/client construction/destruction implementation compliant (#445 <https://github.com/ros2/rmw_fastrtps/issues/445>)
  * Added rmw_logging tests (#442 <https://github.com/ros2/rmw_fastrtps/issues/442>)
  * Add tests for native entity getters (#439 <https://github.com/ros2/rmw_fastrtps/issues/439>)
  * Avoid deadlock if graph update fails. (#438 <https://github.com/ros2/rmw_fastrtps/issues/438>)
  * Ensure compliant publisher QoS queries. (#425 <https://github.com/ros2/rmw_fastrtps/issues/425>)
  * Ensure compliant matched pub/sub count API. (#424 <https://github.com/ros2/rmw_fastrtps/issues/424>)
  * Ensure compliant subscription API. (#419 <https://github.com/ros2/rmw_fastrtps/issues/419>)
  * Ensure compliant publisher API. (#414 <https://github.com/ros2/rmw_fastrtps/issues/414>)
  * Amend rmw_init() implementation: require enclave. (#406 <https://github.com/ros2/rmw_fastrtps/issues/406>)
  * Ensure compliant init/shutdown API implementation. (#401 <https://github.com/ros2/rmw_fastrtps/issues/401>)
  * Finalize context iff shutdown. (#396 <https://github.com/ros2/rmw_fastrtps/issues/396>)
  * Ensure compliant node construction/destruction API. (#408 <https://github.com/ros2/rmw_fastrtps/issues/408>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 15 Oct 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.0-1focal) focal; urgency=high

  * Make service wait for response reader (#390 <https://github.com/ros2/rmw_fastrtps/issues/390>) (#412 <https://github.com/ros2/rmw_fastrtps/issues/412>)
  * Contributors: Miguel Company

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 21 Jul 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.0.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.0.1-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#389 <https://github.com/ros2/rmw_fastrtps/issues/389>)
  * Update QDs for 1.0 (#383 <https://github.com/ros2/rmw_fastrtps/issues/383>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.0.0-1focal) focal; urgency=high

  * Remove API related to manual by node liveliness.  (#379 <https://github.com/ros2/rmw_fastrtps/issues/379>)
  * Update quality declarations on feature testing. (#380 <https://github.com/ros2/rmw_fastrtps/issues/380>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (0.9.1-1focal) focal; urgency=high

  * Add package READMEs and QUALITY_DECLARATION files (#375 <https://github.com/ros2/rmw_fastrtps/issues/375>)
  * Added doxyfiles (#372 <https://github.com/ros2/rmw_fastrtps/issues/372>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (0.9.0-1focal) focal; urgency=high

  * Add missing export of rmw_dds_common. (#374 <https://github.com/ros2/rmw_fastrtps/issues/374>)


=== debian/control ===
Source: ros-foxy-rmw-fastrtps-cpp
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-fastcdr, ros-foxy-fastrtps, ros-foxy-fastrtps-cmake-module, ros-foxy-osrf-testing-tools-cpp <!nocheck>, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rmw-dds-common, ros-foxy-rmw-fastrtps-shared-cpp, ros-foxy-rosidl-cmake, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-runtime-cpp, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-test-msgs <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmw-fastrtps-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-cmake, ros-foxy-fastcdr, ros-foxy-fastrtps, ros-foxy-fastrtps-cmake-module, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rmw-dds-common, ros-foxy-rmw-fastrtps-shared-cpp, ros-foxy-rosidl-cmake, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-runtime-cpp, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-ros-workspace
Description: Implement the ROS middleware interface using eProsima FastRTPS static code generation in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rmw-fastrtps-cpp//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
